@extends('manage.layout')

@section('content')
    <h1>Cinemas</h1>
    <hr/><br/>
    <h2>Stats:</h2>
    <div class="spread-h">
        <a class="clicky-card" href="{{ route('manage.cinemas') }}">
            <div class="card">
                <h3>Amount Cinemas</h3>
                <span class="big-stat">{{ $cinemas->count() }}</span>
            </div>
        </a>
        <a class="clicky-card" href="{{ route('manage.cinemas.employees') }}">
            <div class="card">
                <h3>Amount Employees</h3>
                <span class="big-stat">{{ $employees->count() }}</span>
            </div>
        </a>
    </div>
    <br/>
    <h2>Cinemas:</h2>
    <div class="spread-h">
        @foreach($cinemas as $cinema)
            <a class="clicky-card" href="{{ route('manage.cinemas.show', ['id' => $cinema->id]) }}">
                <div class="card">
                    <h3>{{ $cinema->name }}</h3>
                    <span class="big-stat">{{ $cinema->address->address_city }}</span>
                </div>
            </a>
        @endforeach
    </div>
    <br/>
    <h2>Employees:</h2>
    <div class="spread-h">
        @foreach($employees as $employee)
            <a class="clicky-card" href="{{ route('manage.cinemas.employees.show', ['id' => $employee->id]) }}">
                <div class="card">
                    <h3>{{ $employee->name }}</h3>
                    <span class="big-stat">{{ $employee->cinema->name }}</span>
                </div>
            </a>
        @endforeach
    </div>

    <br/>
    <a class="btn btn-primary" href="{{ route('manage') }}">Back</a>
@endsection
